public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: games-action/multimc/
Date: Mon,  9 Mar 2020 17:54:40 +0000 (UTC)	[thread overview]
Message-ID: <1583776468.3846236ca3d839a2ee6a474504eb2fefa62167c1.andrewammerlaan@gentoo> (raw)
Message-ID: <20200309175440.CLNiOZblz5PhaQHJm2H6mXgKfL7x6uHKBUNL5_e-U5Y@z> (raw)

commit:     3846236ca3d839a2ee6a474504eb2fefa62167c1
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Mar  9 17:54:28 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  9 17:54:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3846236c

games-action/multimc: An advanced Qt5 launcher for Minecraft

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 games-action/multimc/Manifest             |  3 ++
 games-action/multimc/metadata.xml         | 12 ++++++
 games-action/multimc/multimc-0.6.8.ebuild | 67 +++++++++++++++++++++++++++++++
 3 files changed, 82 insertions(+)

diff --git a/games-action/multimc/Manifest b/games-action/multimc/Manifest
new file mode 100644
index 0000000..8a51ff0
--- /dev/null
+++ b/games-action/multimc/Manifest
@@ -0,0 +1,3 @@
+DIST libnbtplusplus-multimc-0.6.1.tar.gz 47171 BLAKE2B e0e4d2593554dc59605114fcae86c59877da67d3f0888145b9ec2fe3d08decec7345a92c7d37310e021b5719f1371a58a22dc796e719028a478877e6d08982ed SHA512 81a1640a069d88df7ba0abf72089aecbe1e9d791c88acaaa7e70c8f0bcd0512cf8698178342657e363524ce8488dd072368a0aa8cc091a24912d6f8b6b0f4f2d
+DIST multimc-0.6.8.tar.gz 2378673 BLAKE2B 6117559f3f27256958ebb843596ccdd6e5992b491af8c5a035f3dbf7ea0880c62f9e6513e0dee2550f5fa7d17149d9d082fddad4a87c772c13fb512fd4533bc7 SHA512 b1c0243fc7fe5e0be7a3c2301726bfeab47ccd3727fc8d7c0238ca6ad3672770810024c64822d5fd40350be363f4c31c3cc657d0662e361feefc938fcaa9ca79
+DIST quazip-multimc-3.tar.gz 103519 BLAKE2B 7a636f9e76cae61cee42131093b56d2a577814b2eb04bdc3c3a7614cf307bbdabe533c66a9f07848bbd929a62b7043dc53f2f85e2e487bfcc820170112f1114b SHA512 2e9074203c67bc7ad98621c551047e5367f06e54cacfecc755a5bf2c9f99266eab42ad972f86ae28ed7e1507f6d27d8d2680a87ce9fd5b1e93a18bcb627ec3f0

diff --git a/games-action/multimc/metadata.xml b/games-action/multimc/metadata.xml
new file mode 100644
index 0000000..1d9f1b1
--- /dev/null
+++ b/games-action/multimc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<upstream>
+		<remote-id type="github">MultiMC/MultiMC5</remote-id>
+		<bugs-to>https://github.com/MultiMC/MultiMC5/issues</bugs-to>
+	</upstream>
+	<maintainer type="person">
+		<email>andrewammerlaan@riseup.net</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/games-action/multimc/multimc-0.6.8.ebuild b/games-action/multimc/multimc-0.6.8.ebuild
new file mode 100644
index 0000000..4a50f86
--- /dev/null
+++ b/games-action/multimc/multimc-0.6.8.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop xdg cmake-utils
+
+MY_PN="MultiMC5"
+MY_P="${MY_PN}-${PV}"
+
+QUAZIP_VER="multimc-3"
+LIBNBTPLUSPLUS_VER="multimc-0.6.1"
+
+DESCRIPTION="An advanced Qt5-based open-source launcher for Minecraft"
+HOMEPAGE="https://multimc.org
+	https://github.com/MultiMC/MultiMC5"
+BASE_URI="https://github.com/MultiMC"
+SRC_URI="
+	${BASE_URI}/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+	${BASE_URI}/libnbtplusplus/archive/${LIBNBTPLUSPLUS_VER}.tar.gz -> libnbtplusplus-${LIBNBTPLUSPLUS_VER}.tar.gz
+	${BASE_URI}/quazip/archive/${QUAZIP_VER}.tar.gz -> quazip-${QUAZIP_VER}.tar.gz
+"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+COMMON_DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtgui:5
+	dev-qt/qttest:5
+	dev-qt/qtxml:5
+"
+DEPEND="${COMMON_DEPEND}
+	>=virtual/jdk-1.8.0
+"
+RDEPEND="${COMMON_DEPEND}
+	sys-libs/zlib
+	>=virtual/jre-1.8.0
+	virtual/opengl
+	x11-libs/libXrandr
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+	default
+	rm -rf "${S}/libraries/libnbtplusplus" "${S}/libraries/quazip"
+	mv "${WORKDIR}/libnbtplusplus-${LIBNBTPLUSPLUS_VER}" "${S}/libraries/libnbtplusplus" || die
+	mv "${WORKDIR}/quazip-${QUAZIP_VER}" "${S}/libraries/quazip" || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DMultiMC_LAYOUT=lin-system
+	)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+	domenu application/package/linux/multimc.desktop
+	doicon -s scalable application/resources/multimc/scalable/multimc.svg
+}


             reply	other threads:[~2020-03-09 17:54 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-09 17:55 Andrew Ammerlaan [this message]
2020-03-09 17:54 ` [gentoo-commits] repo/proj/guru:dev commit in: games-action/multimc/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-03-29  8:29 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-31 10:07 Andrew Ammerlaan
2021-01-18  7:58 Andrew Ammerlaan
2021-03-21 20:46 Andrew Ammerlaan
2021-04-02  9:54 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583776468.3846236ca3d839a2ee6a474504eb2fefa62167c1.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox